using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/Highlight.svg")]
  public partial class Highlight:Action
  {
    [Export]
    public HighlightActionType type;

    [Export]
    public HighlightEffect highlighter;

    [Export]
    public Node3D[] targets = new Node3D[ 0 ];

    protected override void _OnTrigger()
    {
      highlighter.Highlight( type, targets );
    }
  }
}